exports.ids = [23];
exports.modules = {

/***/ 251:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var _util_mixins__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(3);
/* harmony import */ var _mixins_binds_attrs__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(31);
/* harmony import */ var _mixins_registrable__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(39);
// Mixins



/* @vue/component */

/* harmony default export */ __webpack_exports__["a"] = (Object(_util_mixins__WEBPACK_IMPORTED_MODULE_0__[/* default */ "a"])(_mixins_binds_attrs__WEBPACK_IMPORTED_MODULE_1__[/* default */ "a"], Object(_mixins_registrable__WEBPACK_IMPORTED_MODULE_2__[/* provide */ "b"])('form')
/* @vue/component */).extend({
  name: 'v-form',
  provide() {
    return {
      form: this
    };
  },
  inheritAttrs: false,
  props: {
    disabled: Boolean,
    lazyValidation: Boolean,
    readonly: Boolean,
    value: Boolean
  },
  data: () => ({
    inputs: [],
    watchers: [],
    errorBag: {}
  }),
  watch: {
    errorBag: {
      handler(val) {
        const errors = Object.values(val).includes(true);
        this.$emit('input', !errors);
      },
      deep: true,
      immediate: true
    }
  },
  methods: {
    watchInput(input) {
      const watcher = input => {
        return input.$watch('hasError', val => {
          this.$set(this.errorBag, input._uid, val);
        }, {
          immediate: true
        });
      };
      const watchers = {
        _uid: input._uid,
        valid: () => {},
        shouldValidate: () => {}
      };
      if (this.lazyValidation) {
        // Only start watching inputs if we need to
        watchers.shouldValidate = input.$watch('shouldValidate', val => {
          if (!val) return; // Only watch if we're not already doing it

          if (this.errorBag.hasOwnProperty(input._uid)) return;
          watchers.valid = watcher(input);
        });
      } else {
        watchers.valid = watcher(input);
      }
      return watchers;
    },
    /** @public */
    validate() {
      return this.inputs.filter(input => !input.validate(true)).length === 0;
    },
    /** @public */
    reset() {
      this.inputs.forEach(input => input.reset());
      this.resetErrorBag();
    },
    resetErrorBag() {
      if (this.lazyValidation) {
        // Account for timeout in validatable
        setTimeout(() => {
          this.errorBag = {};
        }, 0);
      }
    },
    /** @public */
    resetValidation() {
      this.inputs.forEach(input => input.resetValidation());
      this.resetErrorBag();
    },
    register(input) {
      this.inputs.push(input);
      this.watchers.push(this.watchInput(input));
    },
    unregister(input) {
      const found = this.inputs.find(i => i._uid === input._uid);
      if (!found) return;
      const unwatch = this.watchers.find(i => i._uid === found._uid);
      if (unwatch) {
        unwatch.valid();
        unwatch.shouldValidate();
      }
      this.watchers = this.watchers.filter(i => i._uid !== found._uid);
      this.inputs = this.inputs.filter(i => i._uid !== found._uid);
      this.$delete(this.errorBag, found._uid);
    }
  },
  render(h) {
    return h('form', {
      staticClass: 'v-form',
      attrs: {
        novalidate: true,
        ...this.attrs$
      },
      on: {
        submit: e => this.$emit('submit', e)
      }
    }, this.$slots.default);
  }
}));

/***/ }),

/***/ 353:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
// ESM COMPAT FLAG
__webpack_require__.r(__webpack_exports__);

// EXTERNAL MODULE: ./node_modules/vuetify/lib/components/VAlert/VAlert.js
var VAlert = __webpack_require__(220);

// EXTERNAL MODULE: ./node_modules/vuetify/lib/components/VBtn/VBtn.js
var VBtn = __webpack_require__(87);

// EXTERNAL MODULE: ./node_modules/vuetify/lib/components/VCard/VCard.js
var VCard = __webpack_require__(88);

// EXTERNAL MODULE: ./node_modules/vuetify/lib/components/VCard/index.js
var components_VCard = __webpack_require__(14);

// EXTERNAL MODULE: ./node_modules/vuetify/lib/components/VGrid/VCol.js
var VCol = __webpack_require__(226);

// EXTERNAL MODULE: ./node_modules/vuetify/lib/components/VGrid/VContainer.js + 1 modules
var VContainer = __webpack_require__(230);

// EXTERNAL MODULE: ./node_modules/vuetify/lib/components/VForm/VForm.js
var VForm = __webpack_require__(251);

// EXTERNAL MODULE: ./node_modules/vuetify/lib/components/VGrid/VRow.js
var VRow = __webpack_require__(225);

// EXTERNAL MODULE: ./node_modules/vuetify/lib/components/VGrid/VSpacer.js
var VSpacer = __webpack_require__(223);

// EXTERNAL MODULE: ./node_modules/vuetify/lib/components/VTextField/VTextField.js + 3 modules
var VTextField = __webpack_require__(47);

// CONCATENATED MODULE: ./node_modules/vuetify-loader/lib/loader.js??ref--4!./node_modules/cache-loader/dist/cjs.js??ref--2-0!./node_modules/babel-loader/lib??ref--2-1!./node_modules/vue-loader/lib/loaders/templateLoader.js??ref--7!./node_modules/pug-plain-loader??ref--1-oneOf-0-0!./node_modules/vue-loader/lib??vue-loader-options!./pages/user_confirm/_code.vue?vue&type=template&id=51c53de5&lang=pug














var _codevue_type_template_id_51c53de5_lang_pug_render = function render() {
  var _vm = this,
    _c = _vm._self._c;
  return _c(VContainer["a" /* default */], [_c(VRow["a" /* default */], {
    staticClass: "mt-5",
    attrs: {
      "align": "center",
      "justify": "center"
    }
  }, [_c(VCol["a" /* default */], {
    attrs: {
      "cols": "12",
      "md": "6",
      "lg": "5",
      "xl": "4"
    }
  }, [_c(VForm["a" /* default */], {
    ref: "form",
    on: {
      "submit": function ($event) {
        $event.preventDefault();
        return _vm.change_password.apply(null, arguments);
      }
    }
  }, [_c(VCard["a" /* default */], [_c(components_VCard["d" /* VCardTitle */], [_vm._v(_vm._s(_vm.$t('common.set_password')))]), _vm.user ? [_c(components_VCard["b" /* VCardSubtitle */], [_vm._v(_vm._s(_vm.user.email))]), _c(components_VCard["c" /* VCardText */], [_c(VTextField["a" /* default */], {
    attrs: {
      "type": "password",
      "label": _vm.$t('common.new_password'),
      "rules": _vm.$validators.password,
      "autofocus": ""
    },
    model: {
      value: _vm.new_password,
      callback: function ($$v) {
        _vm.new_password = $$v;
      },
      expression: "new_password"
    }
  })], 1), _c(components_VCard["a" /* VCardActions */], [_c(VSpacer["a" /* default */]), _c(VBtn["a" /* default */], {
    attrs: {
      "color": "primary",
      "type": "submit",
      "disabled": !_vm.new_password,
      "outlined": ""
    },
    on: {
      "click": _vm.change_password
    }
  }, [_vm._v(_vm._s(_vm.$t('common.send')))])], 1)] : _c(components_VCard["c" /* VCardText */], [_c(VAlert["a" /* default */], {
    staticClass: "ma-5",
    attrs: {
      "type": "error",
      "icon": _vm.mdiAlert
    }
  }, [_vm._v(_vm._s(_vm.$t('recover.not_valid_code')) + " "), _c('br'), _vm._v(" " + _vm._s(_vm.error))])], 1)], 2)], 1)], 1)], 1)], 1);
};
var staticRenderFns = [];

// CONCATENATED MODULE: ./pages/user_confirm/_code.vue?vue&type=template&id=51c53de5&lang=pug

// EXTERNAL MODULE: external "@mdi/js"
var js_ = __webpack_require__(6);

// CONCATENATED MODULE: ./node_modules/cache-loader/dist/cjs.js??ref--2-0!./node_modules/babel-loader/lib??ref--2-1!./node_modules/vue-loader/lib??vue-loader-options!./pages/user_confirm/_code.vue?vue&type=script&lang=js

/* harmony default export */ var _codevue_type_script_lang_js = ({
  name: 'Recover',
  async asyncData({
    params,
    $axios
  }) {
    const code = params.code;
    try {
      const user = await $axios.$post('/user/check_recover_code', {
        recover_code: code
      });
      return {
        user,
        code
      };
    } catch (e) {
      return {
        user: false,
        error: String(e)
      };
    }
  },
  data() {
    return {
      new_password: '',
      mdiAlert: js_["mdiAlert"]
    };
  },
  methods: {
    async change_password() {
      if (!this.$refs.form.validate()) return;
      try {
        await this.$axios.$post('/user/recover_password', {
          recover_code: this.code,
          password: this.new_password
        });
        this.$root.$message('common.password_updated', {
          color: 'success'
        });
        this.$router.push('/login');
      } catch (e) {
        this.$root.$message(e, {
          color: 'warning'
        });
      }
    }
  }
});
// CONCATENATED MODULE: ./pages/user_confirm/_code.vue?vue&type=script&lang=js
 /* harmony default export */ var user_confirm_codevue_type_script_lang_js = (_codevue_type_script_lang_js); 
// EXTERNAL MODULE: ./node_modules/vue-loader/lib/runtime/componentNormalizer.js
var componentNormalizer = __webpack_require__(7);

// CONCATENATED MODULE: ./pages/user_confirm/_code.vue





/* normalize component */

var component = Object(componentNormalizer["a" /* default */])(
  user_confirm_codevue_type_script_lang_js,
  _codevue_type_template_id_51c53de5_lang_pug_render,
  staticRenderFns,
  false,
  null,
  null,
  "168c1926"
  
)

/* harmony default export */ var _code = __webpack_exports__["default"] = (component.exports);

/***/ })

};;
//# sourceMappingURL=_code.js.map